Name:          rutgers-mobile-scripts
Version:       1.0
Release:       3%{?dist}
Summary:       PHP scripts that handle the Rutgers Mobile application's backend.
Group:         Applications/Daemons
License:       GNU
URL:           http://oss.rutgers.edu/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
Source0:       rutgers-mobile-scripts-%version.tar.gz

BuildRequires: php

%description
These PHP scripts handle Rutgers Mobile backend which includes
Nextbus API, Dining Menus and more. These scripts are PHP'ized
and then daemonized with nohup/bash.

%prep
%setup -q

%build
### Finds all .svn directories and removes them fomr the tarball
rm -rf 'find . -type d -name .svn'

%install
rm -rf $RPM_BUILD_ROOT

### Making master directory
%{__install} -m 755 -d  %{buildroot}/var/ru_mobile
%{__install} -m 755 -d  %{buildroot}/var/ru_mobile/daemons
%{__install} -m 755 -d  %{buildroot}/var/ru_mobile/scripts

### Installing the master init script properly
%{__install} -Dp -m0755 ru_mobile.init %{buildroot}/etc/init.d/ru_mobile

### Placing the daemonizers in the correct place
cp -R daemons/ %{buildroot}/var/ru_mobile/

### Placing all PHP files in the correct directory
cp -R scripts/ %{buildroot}/var/ru_mobile/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
/etc/init.d/ru_mobile
/var/ru_mobile/

%changelog
* Fri Jul 29 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-3.ru
- fixing .spec file

* Fri Jul 29 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-2.ru
- Atomic move operations placed in PHP files
- Fixed bugs in daemonizers
- Deleted config.php
- Fixing .spec file to include /var/ru_mobile

* Tue Jul 27 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-1.ru
- First initial package of the Rutgers Mobile script backend.
